SMAO API Documentation
Organizations

List organizations

Returns a paginated list of customer organizations across all your partners. Use the optional partnerId query parameter to filter by a specific MSP. Use externalCustomerId to look up a customer by your own identifier.

GET
/organizations
AuthorizationBearer <token>

Long-lived distributor API key scoped to a channel partner on the shared smao instance.

In: header

Query Parameters

page?integer

1-based page number.

Default1
Range1 <= value
limit?integer

Page size.

Default50
Range1 <= value <= 100
externalCustomerId?string

Exact-match filter for the distributor customer identifier.

Length1 <= length <= 255
partnerId?string

Filter results to a specific partner (MSP). Omit to include all organizations.

Match^[a-fA-F0-9]{24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.smao.ai/api/distributor/v1/organizations"
{
  "status": "success",
  "page": 1,
  "limit": 1,
  "total": 0,
  "organizations": [
    {
      "id": "string",
      "name": "string",
      "industry": "string",
      "timezone": "string",
      "channelPartner": "acme",
      "externalCustomerId": "string",
      "externalContractId": "string",
      "partnerId": "string",
      "ownerEmail": "[email protected]",
      "createdAt": "2019-08-24T14:15:22Z",
      "plan": {
        "id": "string",
        "slug": "string",
        "name": "string",
        "commitment": "none",
        "currency": "string",
        "baseFee": 0
      }
    }
  ]
}
{
  "status": "error",
  "errorCode": "INVALID_DATE_RANGE",
  "message": "from and to must be valid YYYY-MM-DD values"
}
{
  "status": "error",
  "errorCode": "INVALID_DATE_RANGE",
  "message": "from and to must be valid YYYY-MM-DD values"
}
{
  "status": "error",
  "errorCode": "INVALID_DATE_RANGE",
  "message": "from and to must be valid YYYY-MM-DD values"
}

{
  "status": "error",
  "errorCode": "RATE_LIMITED",
  "message": "Too many requests for this API key."
}
{
  "status": "error",
  "errorCode": "INVALID_DATE_RANGE",
  "message": "from and to must be valid YYYY-MM-DD values"
}

{
  "status": "error",
  "errorCode": "RATE_LIMIT_UNAVAILABLE",
  "message": "Rate limit storage is unavailable. Try again shortly."
}